Screen brightness can not be adjusted in Lucid with Intel Arrandale graphics

Bug #573984 reported by Tony Diep on 2010-05-02
86
This bug affects 15 people
Affects Status Importance Assigned to Milestone
openSUSE
Unknown
High
linux (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by diegobalangione
Nominated for Maverick by José Luis Garza

Bug Description

PROBLEM
Hot keys for adjusting screen brightness do not work in Karmic or Lucid for Gateway NV59 laptop with Arrandale Graphics.
Under Karmic, workaround was to adjust screen brightness while still in BIOS post.
Karmic would boot with the selected screen brightness

Under Lucid, screen brightness goes to 100% when booting, ignoring brightness set during boot.
Hot keys for adjusting brightness do not work.

RESULTS
Tried the following:

* Setting memory directly under /proc
Results: memory for VGA brightness would change but display wouldn't actually change

CHANGING BOOT PARAMETERS:

# GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nolapic acpi_backlight=vendor"
# above line doesn't solve problem
# GRUB_CMDLINE_LINUX="acpi=off"
# above line allows screen brightness but hyperthreading is off
GRUB_CMDLINE_LINUX="acpi=ht"
# above line allows screen brightness adjustment at cost of power, core temp?
# GRUB_CMDLINE_LINUX="acpi_generic_hotkey"
# above line doesn't solve screen brightness problem
# GRUB_CMDLINE_LINUX="acpi=strict"
# above line does not solve screen brightness problem
# GRUB_CMDLINE_LINUX="acpi_osi=Linux"
# above line does not solve screen brightness problem
# GRUB_CMDLINE_LINUX="acpi=noirq"
# above line doesn't solve
# GRUB_CMDLINE_LINUX="acpi=noacpi"
# above line does not allow screen brightness adjustment
# GRUB_CMDLINE_LINUX="acpi_backlight=vendor"
# above line does not work
# GRUB_CMDLINE_LINUX="i915.modeset=0"
# above line make linux unbootable. Have to book off USB/CD and manually edit grub.conf

BEST WORKAROUND
GRUB_CMDLINE_LINUX="acpi=ht"
# above line allows screen brightness adjustment at cost of power, core temp?

Linux tdlap6 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:09:38 UTC 2010 x86_64 GNU/Linux

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-21-generic 2.6.32-21.32
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272 Analog [ALC272 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tonydiep 1621 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0800000 irq 22'
   Mixer name : 'Intel G45 DEVIBX'
   Components : 'HDA:10ec0272,1025033d,00100001 HDA:14f12c06,10250093,00100000 HDA:80862804,80860101,00100000'
   Controls : 26
   Simple ctrls : 13
Date: Sun May 2 16:39:17 2010
HibernationDevice: RESUME=/dev/sda5
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Gateway NV59
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=53103199-f27c-4ef8-879c-bf122b4216fe ro acpi=ht quiet splash
ProcEnviron:
 LANG=en_CA.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 11/26/2009
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.09
dmi.board.name: NV59
dmi.board.vendor: Gateway
dmi.board.version: Rev
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Gateway
dmi.chassis.version: Rev
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.09:bd11/26/2009:svnGateway:pnNV59:pvrRev:rvnGateway:rnNV59:rvrRev:cvnGateway:ct10:cvrRev:
dmi.product.name: NV59
dmi.product.version: Rev
dmi.sys.vendor: Gateway

Tony Diep (tonydiep) wrote :
Jeremy Foshee (jeremyfoshee) wrote :

Hi Tony,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Tony Diep (tonydiep) wrote :

original kernel: Linux tdlap6 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:09:38 UTC 2010 x86_64 GNU/Linux
No screen brightness adjustment possible. Workaround: "acpi=ht"

Tested upstream kernel linux-image-2.6.34-020634rc6-generic_2.6.34-020634rc6_amd64
Screen boots to 100% brightness, even if set to minimum during BIOS post
* with no boot options, hot keys activate screen brightness apple but screen brightness does not actually change
* with "acpi_backlight=vendor" option, screen brightness applet does not show up, actual screen brightness does not change

Tested linux-image-2.6.32-02063209-generic_2.6.32-02063209_amd64.deb
* screen brightness can be adjusted. Applet doesn't show. But fan running at highspeed and only one processor showing on my i5 !#!?!
* system booted with device not found, then disk repair

tags: removed: needs-upstream-testing
Download full text (5.8 KiB)

original kernel: Linux tdlap6 2.6.32-21-generic #32-Ubuntu SMP Fri Apr
16 08:09:38 UTC 2010 x86_64 GNU/Linux
No screen brightness adjustment possible. Workaround: "acpi=ht"

Tested upstream kernel
linux-image-2.6.34-020634rc6-generic_2.6.34-020634rc6_amd64
Screen boots to 100% brightness, even if set to minimum during BIOS post
* with no boot options, hot keys activate screen brightness applet.
But screen brightness does not actually change
* with "acpi_backlight=vendor" option, screen brightness applet does
not show up, actual screen brightness does not change

Tested linux-image-2.6.32-02063209-generic_2.6.32-02063209_amd64.deb
* screen brightness can be adjusted. Applet doesn't show. But fan
running at highspeed and only one processor showing on my i5 !#!?!
* system booted with device not found, then disk repair

On Mon, May 3, 2010 at 6:48 PM, Jeremy Foshee
<email address hidden> wrote:
> Hi Tony,
>
> If you could also please test the latest upstream kernel available that would be great.  It will allow additional upstream developers to examine the issue.  Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .  Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag.  This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.  Please let us know your results.
>
> Thanks in advance.
>
>    [This is an automated message.  Apologies if it has reached you inappropriately; please just reply to this message indicating so.]
>
>
> ** Tags added: kj-triage
>
> ** Changed in: linux (Ubuntu)
>       Status: New => Incomplete
>
> --
> Screen brightness can not be adjusted in Lucid for Gateway NV59 with Intel Arrandale graphics
> https://bugs.launchpad.net/bugs/573984
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> PROBLEM
> Hot keys for adjusting screen brightness do not work in Karmic or Lucid for Gateway NV59 laptop with Arrandale Graphics.
> Under Karmic, workaround was to adjust screen brightness while still in BIOS post.
> Karmic would boot with the selected screen brightness
>
> Under Lucid, screen brightness goes to 100% when booting, ignoring brightness set during boot.
> Hot keys for adjusting brightness do not work.
>
> RESULTS
> Tried the following:
>
> * Setting memory directly under /proc
> Results: memory for VGA brightness would change but display wouldn't actually change
>
> CHANGING BOOT PARAMETERS:
>
> # GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nolapic acpi_backlight=vendor"
> # above line doesn't solve problem
> # GRUB_CMDLINE_LINUX="acpi=off"
> # above line allows screen brightness but hyperthreading is off
> GRUB_CMDLINE_LINUX="acpi=ht"
> # above line allows screen brightness adjustment at cost of power, core temp?
> # GRUB_CMDLINE_LINUX="acpi_generic_hotkey"
> # above line doesn't solve screen brightness problem
> # GRUB_CMDLINE_LINUX="acpi=strict"
> # above line does not solve screen brightness problem
> # GRUB_CMDLINE_LINUX="acpi_osi=Linux"
> # above line does not solve scre...

Read more...

Tested Karmic kernel: linux-image-2.6.31-020631-generic_2.6.31-020631_amd64
* system wouldn't boot first time. keyboard not responsive
* system boots second time. no keyboard. no mouse. had to use hard reset.

Tested Karmic kernel: 2.6.31-21-generic #59
* Ubuntu respects screen brightness set during BIOS post/doesn't reset to 100% brightness when X starts
* Can not change brightness while in Ubuntu. Applet does not show using hotkeys
* hyperthreading working
* power management working

Tony Diep (tonydiep) wrote :

Confirming May 5 2010 Lucid updates with released kernel 2.6.32-22-generic #33 and updated acpi driver does _NOT_ solve problem.

Tony Diep (tonydiep) wrote :

Running 2.6.32-22-generic with "acpi=ht" option makes processor run hot. Fan runs almost constantly. Not a good long solution.

System runs cooler without acpi options. But screen brightness burning eyes. This is a deal-killer. Going back to Karmic kernel.

Tony Diep (tonydiep) wrote :

Ubuntu crashed twice today. Turning off Compiz. I had Compiz turned off in Karma because the Compiz would reliably crash it. GLXGears wouldn't run on it.

J. Shaw (eri-dslextreme) wrote :

Vouching for Tony in his assessment (brightness in GRUB), I would like to add, if it helps, that using setpci doesn't work in X, either. (e.g. "setpci -s 00:02.0 F4.B=B2", etc.) There are two brightness settings listed, default level '5', the value of one can be changed (IIRC), but neither changes the actual screen brightness.

Also, while the Fn keys do pull up the brightness app now (default kernel for Lucid does not; for this notebook, it's Fn + Up/Down), using up also produces "±", as it's gives keycode 126.

I am using kernel 2.6.34-020634rc6-generic, and checked with a couple of other kernels in this range.

Tony Diep (tonydiep) wrote :

Confirming crashes have stopped since turning off Compiz using 2.6.32-22-generic #33-Ubuntu SMP
Eyes still burning... must wear shades... going blind.... stumbling around room... must turn brightness down ;)

summary: - Screen brightness can not be adjusted in Lucid for Gateway NV59 with
- Intel Arrandale graphics
+ Screen brightness can not be adjusted in Lucid with Intel Arrandale
+ graphics
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

This bug is not related the Gateway computer, it happens also with my new Acer Aspire that has the same Core i5 430m with Intel Integrated Graphics.

I am using vanilla Kubuntu 10.04. As Tony mentioned, the OSD appears and the FN keys are working. But the screen brightness is not changed. I also tried to set it directly as Tony did, writting to /proc/acpi/video/GFX0/DD02/brightness. Doing this has no effect on the screen brightness, all other /proc/acpi/video/GFX/DD0X folders have brightness files indicating "<not supported>".

The FN keys do change this proc file that I mentioned before, but again, nothing happens.

As Tony, I am a bit desperate to find a solution. I am willing to do some testing, but I am out of resources with this.

I would appreciate some ideas.

Thanks
--
Carlos Vásquez

Jeremy Foshee (jeremyfoshee) wrote :

Carlos,
   Please file a new bug for your issue.

Thanks!

~JFo

Tony Diep (tonydiep) wrote :

Confirming kernel 2.6.35-020635rc1-generic #020635rc1 SMP does _NOT_ fix problem. No onscreen display of screen brightness utility. Screen boots to maxmimum brightness even if brightness turned down during post. In fact, this kernel make laptop screen flicker.

Tony Diep (tonydiep) wrote :

System won't boot with 2.6.31-16.53
Screen never comes on.

saghaulor (saghaulor) wrote :

I'm running kernel 2.6.34-020634-generic, I've also upgraded xorg. I'm running xserver-xorg-core 2:1.7.6-2ubuntu7, xserver-xorg-video-intel 2:2.11.0-1ubuntu1~xup. I cannot adjust brightness. This is a major functionality killer as my batter dies in about 45min tops. Please help.

David Boersma (david-boersma) wrote :

I can confirm that ubuntu probably has a problem with intel graphics, and that in particular the brightness setting is one of the symptoms.

When I ran karmic, the graphics worked fine, including brightness adjustment (with applet and with function keys).

Yesterday (Saturday June 12) I upgraded (using the upgrade option in the synaptic package manager) to Lucid, and now the brightness adjust does not work anymore: it's either 100% or minimal.

(I also see that their is a short glitch in in the screen every few minutes; that might be related, or it might be a separate issue, don't know.)

I have an ASUS laptop, model UL30A, 2x1.3GHz (intel U7300), 4Gbyte RAM.

uname -a:
Linux mars 2.6.32-22-generic-pae #36-Ubuntu SMP Thu Jun 3 23:14:23 UTC 2010 i686 GNU/Linux

lspci:
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
03:00.0 Ethernet controller: Atheros Communications Atheros AR8132 / L1c Gigabit Ethernet Adapter (rev c0)

I am strongly considering to reinstall from scratch (as opposed to upgrade from an existing karmic install, which I did yesterday), not just because of the graphics issues (also to upgrade from ext3 to ext4); I will probably do that tomorrow or so, until that time I can do diagnostic checks. Unfortunately I do not have a lot of time and resources to do very time consuming things, I need my laptop for my daily work.

Tony Diep (tonydiep) wrote :

David,

If you're considering a re-install, it might be wiser to re-install to Karmic to restore brightness adjustment functionality. The brightness issue isn't related to whether it's a fresh install of Lucid or upgrade to Lucid, it is due to Lucid itself.

I've considered downgrading to Karmic but can't devote the time to reconfiguring my laptop.

That's my two-cents.

saghaulor (saghaulor) wrote :

If I knew more about this stuff I'd be happy to hack a solution. Unfortunately I do not. ConsequenltyI must rely on the mercy of our community. Please help.

description: updated
saghaulor (saghaulor) wrote :

Is this a kernel issue or a graphics driver issue?

David Boersma (david-boersma) wrote :

Hi all,

I think saghauer may be right, the screen brightness is probably not a graphics card issue, as it is just the setting of the brightness of the backlight. Still, under /proc/acpi, the brightness is listed under vga. In particular:

cat /proc/acpi/video/VGA/LCDD/brightness
levels: 5 11 17 23 29 35 41 47 53 59 65 72 79 86 93 100
current: 47

when get root permissions (sudo bash -l) then i can try to change the brightness using e.g.:

echo -n 5 > /proc/acpi/video/VGA/LCDD/brightness

that works. but strange enough, not all listed valid values work. e.g., setting it to 100 gives this error:
bash: echo: write error: Invalid argument

now when i loop over all integer values from 0 to 1024, and try setting the brightness to each of those values, then I see that only the first half works (5 11 17 23 29 35 41 47) and within the tested range there are no other valid values. another weirdity is that the actual brightness poorly correlates with value to which i have set it. This is the list of valid values, sorted to apparent brightness (darkest to brightest):

17 5 35 23 41 11 29 47

i do not see any difference in apparent brighness between settings 5 and 35; if there actually is a difference then they might need to be swapped.

there is probably a deep reason for this apparent randomization (bit inversion? big endian versus little endian?) but how exactly is not obvious to me. no time for further investigation. i hope that this observation at least provides some helpful clue/diagnostic to any expert who happens to read this post.

HTH,
David

Tony Diep (tonydiep) wrote :

FYI Today's Ubuntu update of xserver-core did _NOT_ solve screen brightness issue.

saghaulor (saghaulor) wrote :

I can confirm that xserver-xorg-core version: 2:1.7.6-2ubuntu7.1 has not fixed the brightness adjustment issue.

Of those having these problems, are you running an LED LCD?

sashoalm (sashoalm) wrote :

I have the same issue, and I've noticed that I lacked the "Display Controller" (is this why I can't change the brightness?) that David Boersma has in his lspci, mine reads:

sas@sas-laptop:~$ lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 12)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
02:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe (rev 01)
04:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

Also, my brightness file is located in a different directory called GFX0. I tried changing this file, but the display brightness isn't changed.

root@sas-laptop:~# echo 50 >/proc/acpi/video/GFX0/DD02/brightness
root@sas-laptop:~# cat /proc/acpi/video/GFX0/DD02/brightness
levels: 10 20 30 40 50 60 70 80 90 100
current: 50
root@sas-laptop:~# echo 100 >/proc/acpi/video/GFX0/DD02/brightness
root@sas-laptop:~# cat /proc/acpi/video/GFX0/DD02/brightness
levels: 10 20 30 40 50 60 70 80 90 100
current: 100

sashoalm (sashoalm) wrote :

Adding acpi_backlight=vendor to the kernel boot parameters didn't work. The brightness meter stopped showing, but the function keys still don't change the brightness.

sashoalm (sashoalm) wrote :

I can confirm that acpi=ht makes the brightness keys work for me, but now power management is disabled. I can't even see the battery meter. It's not a very good workaround.

bhuvi (bhuvanesh) wrote :

same problem for me on lenovo G550 laptop. https://bugs.launchpad.net/ubuntu/+source/udev/+bug/530238

saghaulor (saghaulor) wrote :

I just got somewhere with this mess.

Did the following:

"cat /proc/acpi/video/GFX0/DD02/brightness" (Your brightness may be located in a different folder)

and it outputted (despite my screen being blindingly bright)

levels: 0 5 10 15 20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100
current: 0

So then I tried this

"sudo echo 50 > /proc/acpi/video/GFX0/DD02/brightness"

and got this output

bash: /proc/acpi/video/GFX0/DD02/brightness: Permission denied

So then I tried this

"sudo su
echo 50 > /proc/acpi/video/GFX0/DD02/brightness"

And viola, my brightness level changed.

So then I tried
"echo 0 > /proc/acpi/video/GFX0/DD02/brightness"

And presto, my screen went black.

I don't know too much about what's going on, but it looks like whatever triggers the above referenced file, doesn't have proper permissions. Only true root can actually change the value of the file, not sudo.

Tony Diep (tonydiep) wrote :

Hey Saghaulor

Glad you found a solution that works for you.

I tried the same procedure on my laptop and can confirm it does _NOT_ work on a Gateway NV59. The number in brightness does change but the screen brightness does not actually change.

saghaulor (saghaulor) wrote :

Tony,

I was going to suggest that you make sure to use the newest upstream kernel, but after testing the current stable kernel, that command still works.

I've read in a few other places that for some machines, the BIOS requires an update to allow KMS to set the brightness level. Perhaps this applies to you?

Oddly, I would assume that our computers are sufficiently similar that the above solution should work for you. I'm running a Gateway NV79.

But from looking at your lspci output, it seem that there is sufficient dissimilarity. I hope that you find a solution soon.

It would be nice to be able to fix this problem and have it work as it should, rather than me having to jump to the cli to adjust my brightness.

sashoalm (sashoalm) wrote :

I updated my BIOS to the latest version from Acer site - BIOS v1.22 for Aspire 5740 - but brightness still doesn't work.

Ethan Shalev (shalev-ethan) wrote :

I can also confirm this bug on a Gateway NV7915u, running Ubuntu 10.04, kernel 2.6.32.23-generic.
Saghaulor's workaround of manually modifying /proc/acpi/video/GFX0/DD02/brightness works for me as well.

Is there some logging that can be enabled in order to see what happens behind the scenes when the Fn + command buttons for brightness are pressed? So we can see if it is in fact just a permission issue, or perhaps something more?

Tony Diep (tonydiep) wrote :

Ubuntu's updated kernel 2.6.32-23-generic does _NOT_ fix problem on Gateway NV 59

Tony Diep (tonydiep) wrote :

Confirming I can manually edit value of /proc/acpi/video/GFX0/DD02/brightness (and the value sticks) but actual brightness of screen does not change.

sashoalm (sashoalm) wrote :

SOLVED (for my laptop at least - Acer Aspire 5740)

The trick was to add "acpi_osi=" (without the quotation marks) to the GRUB parameters. Setting the parameter to an empty string means that no OS is reported to the BIOS. By default acpi_osi is set to Windows NT. I had previously tried "acpi_osi=Linux" but it didn't work, apparently it had to be an empty string.

The brightness keys work now :-)

Ethan Shalev (shalev-ethan) wrote :

Forgive the elementary question, but with a GRUB2 bootloader, where does one make that modification? ("i'd of course want to test it in a non-persistent manner before editing any of the gonfig files).

sashoalm (sashoalm) wrote :

Ethan Shalev,

for GRUB2 the file is /etc/default/grub
then "sudo update-grub" (no quotes) to apply changes

my changed line looks like
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi="

As for non-persistent check, when the GRUB boot menu comes press the key 'e', and modify the boot parameters from there. Look for "quiet splash" and add acpi_osi= after that.

Ethan Shalev (shalev-ethan) wrote :

Thanks sas; That solution does not work on my Gateway NV7915u. In fact, it made things worse. Upon loading, I got several error messages from Gnome-Panel - It was unable to load WorkspaceSwitcherApplet, WindowListApplet and ShowDesktopApplet.
And as far as the brightness itself goes - while till now the buttons that control it would show the indicator in the top-right corner, now that doesn't happen. The buttons don't seem to do anything.

sashoalm (sashoalm) wrote :

Well the problem seems to be with the BIOS so the solution varies greatly between laptop models, unfortunately. But WorkspaceSwitcherApplet, WindowListApplet and ShowDesktopApplet don't seem connected to acpi at all (just looking at their names, I assume they have something to do with Alt+Tab, switching between workspaces and such), it's strange that they should fail. What did you do exactly?

Ethan Shalev (shalev-ethan) wrote :

When the GRUB menu loaded, I hit e to edit the top entry, and added acpi_osi= after quiet splash - just like you said. The first tile I tried that, it was the trash applet that crashed. the second time - the apps I listed, and the third - nothing. I don't know why it has that kind of impact on the panel applets, but I'm also not concerned over it.
Bottom line, it didn't work. Are there other configurations I should be trying out?
I tried acpi-osi=linux, but that had no effect what so ever.
Might there be something in the BIOS itself I should look for?

Tony Diep (tonydiep) wrote :

Sas,

Glad to hear you found a workaround for your laptop. Thanks for sharing it.

I can confirm that it does _NOT_ work on a Gateway NV59 (with bios v 1.09 and vga bios 1890)

Tor (mengedej) wrote :

Confirming this also for an Acer Aspire TimelineX 3820TG
Linux ubuntu 2.6.32-23-generic #37-Ubuntu SMP Fri Jun 11 08:03:28 UTC 2010 x86_64 GNU/Linux
(Kubuntu)
System Bios v 1.13

Buttons on keyboard will bring up the On-screen slider and act 'vobbly' without effect.
Software sliders has no effect (but will update values in /sys/class/backlight/ )
The setpci command referenced earlier did not have any visible effect.
The "acpi_backligt=vendor" grub command had no visible effect

The only working solution for me now is to modify grub with "acpi-osi="
This will enable (give effect to) buttons on keyboard, but software will still not modify backlight.
And brightness is not adjusted when pulling out the AC power.

I have not seen any other effects of the "acpi-osi=".

Lý Trung Nghĩa (nghiavd4508) wrote :

Confirming this also for an Acer Aspire 4740
None of the workarounds above works.

Tor (mengedej) wrote :

Acer Aspire TimelineX 3820TG
BIOS 1.13
Linux ubuntu 2.6.32-23-generic

Confirming
# GRUB_CMDLINE_LINUX="acpi_osi=Linux"

Will enable the keyboard arrows.
Will enable automatic brightness adjustment when AC is unplugged/plugged in.

Software modifications (power profile gui slider) still does not work.
I don't know why it did not work for me last time, I was probably doing something different...

xassembler (oscarperez) wrote :

Acer Aspire 4740 (Ubuntu Linux 2.6.32-24) Solved:

1. Update BIOS firmware to version 1.09. (download from Acer web site and install in Windows)
2. Edit /etc/default/grub file and add:
                        acpi_osi=Linux acpi_backlight=vendor
For example:
        $ sudo gedit /etc/default/grub
         GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=Linux acpi_backlight=vendor"
3. Update grub:
         $ sudo update-grub

Now arrows keys change brightness are working, but screen brightness applet does not show up. And brightness is not automatically adjusted when power cord has been unplugged. If you find a better solution let me know.

Kind regards.

Lý Trung Nghĩa (nghiavd4508) wrote :

Thank you so much. It works!!!

Marginal (vladimir-hristov) wrote :

Well, it does not work for me.
The buttons move the dial, but the brightness doesn't change ...

I also have an Aspire 4740 and xassembler workaround works for me.

Thorsten Hirsch (t-hirsch) wrote :

Here's how I experience this bug on an Asus UL30A.
The bug is in...

* 2.6.34 (vanilla)
* 2.6.35.4 (vanilla)
* 2.6.35-21-generic (after upgrading to ubuntu 10.10beta)
* 2.6.35-22-generic

It occurs with...

* default kernel parameters
* acpi_backlight=video
* acpi_osi=Linux

== bug experience #1 ==

And in all these cases I see the following output:
$ cat /proc/acpi/video/VGA/LCDD/brightness
levels: 5 11 17 23 29 35 41 47 53 59 65 72 79 86 93 100
current: 59

The value seems to be chosen randomly from this list after booting. I can set it manually only from 5 to 47. If I want to set a higher value, I get a "invalid value" error. And best of all: the values are not linear! Screen brightness is higher at 5 than at 11, but goes higher at 17 than at 11, and so on.
When trying to change the brightness with the Fn keys of my laptop, there's a KDE app showing brightness. But it doesn't change... it somehow seems to interrupt the system, because everything's a bit slower for a second and the brightness app doesn't disappear as soon as it normally does. But after a few seconds, everything's fine - except that the brightness has a new random value. It might be brighter or darker, no matter which key I pressed.

== bug experience #2 ==

And then there's a slightly different experience of this bug, when I use

* acpi_backlight=vendor

Here I can't use the /proc file, because:
$ cat /proc/acpi/video/VGA/LCDD/brightness
<not supported>

But the KDE brightness app works (or does not) the same way as before.

== bug experience #3 ==

And finally another slightly different experience of this bug. When I use the following kernel parameter...

* acpi_osi=

...I can change the brightness successfully and in a linear way when using the Fn keys. They work fine. Unfortunately the KDE brightness app seems to be gone and I also can't use /proc, because:

$ cat /proc/acpi/video/VGA/LCDD/brightness
<not supported>

== laptop details ==

Asus UL30a

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

dmesg doesn't show any useful information related to this stuff.

Tony Diep (tonydiep) wrote :

Updated to Ubuntu 10.10 today on my Gateway NV59

Screen brightness still can not be adjusted without causing other problems. Only solution causes CPU to run hot and without hyperthreading. Here are the results of various parameters for grub:

#GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nolapic acpi_backlight=vendor"
#result: brightness doesn't change; oncreen display disappears
#GRUB_CMDLINE_LINUX="acpi=ht"
#result: brightness doesn't change;
#GRUB_CMDLINE_LINUX="acpi=off"
#result: brightness changes correctly; no onscreen display; no CPU temperature reading; no hyperthreading
#GRUB_CMDLINE_LINUX="acpi_generic_hotkey"
#result: pressing hot keys slows down mouse
#GRUB_CMDLINE_LINUX="acpi=strict"
#result: brightness does not change
#GRUB_CMDLINE_LINUX="acpi_osi=Linux"
#result: brightness does not change; onscreen display disappears
#GRUB_CMDLINE_LINUX="acpi_osi="
#result: brightness does not change; onscreen display disappears
#GRUB_CMDLINE_LINUX="acpi=noirq"
#result: brightness does not change; onscreen display disappears; mouse very slow after using brigthness up down function keys
#GRUB_CMDLINE_LINUX="acpi=noacpi"
#result: brightness does not change;
#GRUB_CMDLINE_LINUX="acpi_backlight=vendor"
#result: brightness does not change; onscreen display disappears

José Luis Garza (jlgarza2) wrote :

I updated to maverick amd64. I have a nv59, the problem continues. I already load the kernel 2.6.36-020636rc7 from
http://kernel.ubuntu.com/~kernel-ppa/mainline/

And the same result.

José Luis Garza (jlgarza2) wrote :

Solved!

I have a nv5911e, core i5. Ubuntu 10.10

1. Bios updated to v1.22, (this step alone don't solve the problem)
2. I used the kernel form:
    https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight
   Thanks Kamal!!
3. I added
    /etc/default/grub:

   GRUB_CMDLINE_LINUX="acpi_backlight=vendor"

4. Run:
    sudo update-grub

I have not detected any new problem with kernel or bios change. Not overheating detected yet

Tony Diep (tonydiep) wrote :

Jose and other Gateway computer users:

Can you send me a link to where you're getting BIOS updates? I've been looking on support.gateway.com and am not finding them there. Thanks.

Tony Diep (tonydiep) wrote :

Kamal's patch and Jose's instructions are working for me on Gateway NV59 11h with BIOS 1.09 and GRUB_CMDLINE_LINUX="acpi_backlight=vendor"
(I did not update my BIOS as I can't figure out where the Gateway BIOS updates are.)

I vote for including the patch in mainline.

Thanks Kamal and Jose!

José Luis Garza (jlgarza2) wrote :

I have the nv5911e. I Purchased it in Mexico. I get the update from Mexico's gateway support page.

http://mx.gateway.com/support/downloads.html

I selected:
Familia del Producto: Computadora Portatil
Linea del producto: NV Series
Modelo: NV59

Then the bios tab.

I downloaded the version of bios 1.22 and 1.26, but only 1.22 worked using freedos(I have no windows for running the windows version of bios upgrade).

I don't know if the bios upgrade is for all nv59 models worldwide or only for latinamerican or mexican models. There are a big warning about the risk of any BIOS upgrade procedure.

http://mx.gateway.com/products/series/nv/

I noticed looking for bios at gateway international site o with serial number shows no results.

Noe Nieto (tzicatl) wrote :

Laptop Gateway NV55C running with the same brightness issues.

I maintain a bug report on the freedesktop bugzilla with no answer after 1 month.

https://bugs.freedesktop.org/process_bug.cgi

Will try Kamal's PPA.

Download full text (3.1 KiB)

User-Agent: Opera/9.80 (X11; Linux x86_64; U; nl) Presto/2.8.131 Version/11.10

Hot keys for adjusting screen brightness do not work.

External bug reports that describe the same problem:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/573984
https://bugs.freedesktop.org/show_bug.cgi?id=33287
Same problem with other Intel card: https://bugzilla.novell.com/show_bug.cgi?id=675241

I have been trying a lot of different settings as described in above bug reports, but nothing works for me.
My laptop: MEDION® AKOYA® P6624 (MD 98390)
http://aldi.medion.com/md98390/au/

# hwinfo --gfxcard
10: PCI 02.0: 0300 VGA compatible controller (VGA)
  [Created at pci.318]
  Unique ID: _Znp.iyzBTZJDe1C
  SysFS ID: /devices/pci0000:00/0000:00:02.0
  SysFS BusID: 0000:00:02.0
  Hardware Class: graphics card
  Model: "Intel Arrandale Integrated Graphics Controller"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x0046 "Arrandale Integrated Graphics Controller"
  SubVendor: pci 0x17c0 "Wistron Corp."
  SubDevice: pci 0x10e2
  Revision: 0x18
  Driver: "i915"
  Driver Modules: "drm"
  Memory Range: 0xfb400000-0xfb7fffff (rw,non-prefetchable)
  Memory Range: 0xd0000000-0xdfffffff (ro,non-prefetchable)
  I/O Ports: 0xf080-0xf087 (rw)
  IRQ: 51 (101824 events)
  I/O Ports: 0x3c0-0x3df (rw)
  Module Alias: "pci:v00008086d00000046sv000017C0sd000010E2bc03sc00i00"
  Config Status: cfg=no, avail=yes, need=no, active=unknown

24: PCI 100.0: 0300 VGA compatible controller (VGA)
  [Created at pci.318]
  Unique ID: VCu0.yi5X9OZqOOE
  Parent ID: vSkL.2z28zifqwu6
  SysFS ID: /devices/pci0000:00/0000:00:01.0/0000:01:00.0
  SysFS BusID: 0000:01:00.0
  Hardware Class: graphics card
  Model: "nVidia VGA compatible controller"
  Vendor: pci 0x10de "nVidia Corporation"
  Device: pci 0x0df0
  SubVendor: pci 0x17c0 "Wistron Corp."
  SubDevice: pci 0x10e2
  Revision: 0xa1
  Memory Range: 0xfa000000-0xfaffffff (rw,non-prefetchable,disabled)
  Memory Range: 0xe0000000-0xefffffff (ro,non-prefetchable,disabled)
  Memory Range: 0xf0000000-0xf1ffffff (ro,non-prefetchable,disabled)
  I/O Ports: 0xe000-0xefff (rw,disabled)
  Memory Range: 0xfb000000-0xfb07ffff (ro,non-prefetchable,disabled)
  IRQ: 16 (1553 events)
  Module Alias: "pci:v000010DEd00000DF0sv000017C0sd000010E2bc03sc00i00"
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #9 (PCI bridge)

Primary display adapter: #10

# uname -a
Linux pcj.site 2.6.38.6-26-desktop #1 SMP PREEMPT 2011-05-10 12:19:59 +0200
x86_64 x86_64 x86_64 GNU/Linux

> xbacklight -get
11.111111
> xbacklight -set 40
> xbacklight -get
33.333333

But nothing actually happens.

I am only using the Intel graphics driver. Because I have been trying a lot of settings, X didn't start anymore. Removing the nvidia drivers (nvidia/nouveau) solved it.

Reproducible: Always

Steps to Reproduce:
1. Try to change the screen resolution with Fn key combination
2. Try to use the brightness slider
3. Try to use xbacklight

Actual Results:
The Brightness does not change in any way.

Expected Results:
A gradual change in screen brightness should be the result of using at least
xbacklight.

Screen brightness seems to be at 100...

Read more...

Changed in opensuse:
importance: Unknown → High
status: Unknown → In Progress

Unfortunately we do not have the ressources to address that issue
still for openSUSE 11.4. Could you please test again with
a current Milestone of openSUSE 12.1, whether the issue still
exists and give me feedback about the result? Thanks.

Changed in opensuse:
status: In Progress → Incomplete

Tested with the live CD. The issue still exists: same symptoms.
> uname -a
Linux linux.site 3.0.0-4-default #1 SMP Thu Aug 18 09:38:15 UTC 2011 (f25ce3e) i686 i686 i386 GNU/Linux

Changed in opensuse:
status: Incomplete → In Progress
Tony Diep (tonydiep) wrote :

Ubuntu 11.10 may make things worse.

1) I've been using a Kamal's modified kernel to prevent the screen from burning my eyes. (Linux 2.6.38-11-generic #50+kamal3~mjgbacklight5-Ubuntu SMP Tue ). Thank you Kamal!

2) I've been using 'Classic Mode' instead of Unity because menus and window decorations disappear on Unity.

I've read that Ubuntu 11.10 may remove the option of 'Classic Mode' and force people to use Unity whether they want to or not.

This would leave me with an unuseable computer. The last time Ubuntu worked correctly on my Intel i5 Arrandale computer (with backlight adjustment and visible menus) was 10.10 and it may be wise to go back to that release.

Does booting with the

acpi_backlight=vendor

grub option makes any difference?

Changed in opensuse:
status: In Progress → Incomplete
Download full text (4.6 KiB)

screen brightness can be adjusted since Linux kernel 3
seems kamals changes made it into the main kernel

--
Tony Diep | 416 537 2225

On Oct 25, 2011, at 12:05 AM, Idonmez-l <email address hidden> wrote:

> Does booting with the
>
> acpi_backlight=vendor
>
> grub option makes any difference?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/573984
>
> Title:
> Screen brightness can not be adjusted in Lucid with Intel Arrandale
> graphics
>
> Status in “linux” package in Ubuntu:
> Confirmed
> Status in openSUSE:
> Incomplete
>
> Bug description:
> PROBLEM
> Hot keys for adjusting screen brightness do not work in Karmic or Lucid for Gateway NV59 laptop with Arrandale Graphics.
> Under Karmic, workaround was to adjust screen brightness while still in BIOS post.
> Karmic would boot with the selected screen brightness
>
> Under Lucid, screen brightness goes to 100% when booting, ignoring brightness set during boot.
> Hot keys for adjusting brightness do not work.
>
> RESULTS
> Tried the following:
>
> * Setting memory directly under /proc
> Results: memory for VGA brightness would change but display wouldn't actually change
>
> CHANGING BOOT PARAMETERS:
>
> # GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nolapic acpi_backlight=vendor"
> # above line doesn't solve problem
> # GRUB_CMDLINE_LINUX="acpi=off"
> # above line allows screen brightness but hyperthreading is off
> GRUB_CMDLINE_LINUX="acpi=ht"
> # above line allows screen brightness adjustment at cost of power, core temp?
> # GRUB_CMDLINE_LINUX="acpi_generic_hotkey"
> # above line doesn't solve screen brightness problem
> # GRUB_CMDLINE_LINUX="acpi=strict"
> # above line does not solve screen brightness problem
> # GRUB_CMDLINE_LINUX="acpi_osi=Linux"
> # above line does not solve screen brightness problem
> # GRUB_CMDLINE_LINUX="acpi=noirq"
> # above line doesn't solve
> # GRUB_CMDLINE_LINUX="acpi=noacpi"
> # above line does not allow screen brightness adjustment
> # GRUB_CMDLINE_LINUX="acpi_backlight=vendor"
> # above line does not work
> # GRUB_CMDLINE_LINUX="i915.modeset=0"
> # above line make linux unbootable. Have to book off USB/CD and manually edit grub.conf
>
> BEST WORKAROUND
> GRUB_CMDLINE_LINUX="acpi=ht"
> # above line allows screen brightness adjustment at cost of power, core temp?
>
> Linux tdlap6 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:09:38 UTC
> 2010 x86_64 GNU/Linux
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-21-generic 2.6.32-21.32
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC272 Analog [ALC272 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: tonydiep 1621 F.... pulseaudio
> CRDA: Error: [Errno 2] No such fil...

Read more...

Ethan Shalev (shalev-ethan) wrote :

I upgraded to 11.10, and with the new kernel, cannot adjust the brightness of my screen.
adding "acpi_backlight=vendor" to the boot does not help wither.

Tony Diep (tonydiep) wrote :

Version 3 of the Linux kernel allows me to change screen brightness.

Somewhat unrelated point: Unity 3D wouldn't start properly in Ubuntu 11.0 or 11.04. I had to reset compiz after session start to force the menu and window decorations to appear. Gnome 3 worked flawlessly. Have switched to XFCE.

Tony Diep (tonydiep) wrote :

FYI: Bought a new Gateway NV i7 sandy bridge. Running 11.10. Brightness could not be adjusted until I added acpi_backlight=vendor to boot parameters. Nvidia Optimus working with ironhide

Still waiting for a response for more than 2 months now. Please reopen once
you can provide the requested feedback. Thanks.

Changed in opensuse:
status: Incomplete → Unknown
sackofcatfood (sackofcatfood) wrote :

I have this problem with Acer Aspire 5830TG-6614. Can bring up the brightness dialog but it doesn't do anything. Tried a couple hacks to no avail.

Using NVIDIA GT540M with Bubmblebee.
Linux kernel 3.0.0-12-generic #20-Ubuntu SMP
x86_64 x86_64 x86_64 GNU/Linux

Tony Diep, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (5.9 KiB)

Hello Christopher,

This is no longer an issue for me though it may remain an issue for others
on the email list.

The combination of Kamal's kernel changes plus boot parameters plus making
sure gnome services were running (I run xfce) fixed the problem for me.

Thank you very much for looking into this.

-Tony

On Sun, Mar 25, 2012 at 9:40 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> Tony Diep, thank you for reporting this and helping make Ubuntu better.
> This bug was reported a while ago and there hasn't been any activity in it
> recently. We were wondering if this is still an issue? Can you try with the
> latest development release of Ubuntu? ISO CD images are available from
> http://cdimage.ubuntu.com/releases/ .
>
> If it remains an issue, could you run the following command from a
> Terminal (Applications->Accessories->Terminal). It will automatically
> gather and attach updated debug information to this report.
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, if you could test the latest upstream kernel available that would be
> great. It will allow additional upstream developers to examine the issue.
> Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've
> tested the upstream kernel, please remove the 'needs-upstream-testing' tag.
> This can be done by clicking on the yellow pencil icon next to the tag
> located at the bottom of the bug description and deleting the
> 'needs-upstream-testing' text. Please let us know your results.
>
> Thanks in advance.
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/573984
>
> Title:
> Screen brightness can not be adjusted in Lucid with Intel Arrandale
> graphics
>
> Status in “linux” package in Ubuntu:
> Incomplete
> Status in openSUSE:
> Unknown
>
> Bug description:
> PROBLEM
> Hot keys for adjusting screen brightness do not work in Karmic or Lucid
> for Gateway NV59 laptop with Arrandale Graphics.
> Under Karmic, workaround was to adjust screen brightness while still in
> BIOS post.
> Karmic would boot with the selected screen brightness
>
> Under Lucid, screen brightness goes to 100% when booting, ignoring
> brightness set during boot.
> Hot keys for adjusting brightness do not work.
>
> RESULTS
> Tried the following:
>
> * Setting memory directly under /proc
> Results: memory for VGA brightness would change but display wouldn't
> actually change
>
> CHANGING BOOT PARAMETERS:
>
> # GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nolapic acpi_backlight=vendor"
> # above line doesn't solve problem
> # GRUB_CMDLINE_LINUX="acpi=off"
> # above line allows screen brightness but hyperthreading is off
> GRUB_CMDLINE_LINUX="acpi=ht"
> # above line allows screen brightness adjustment at cost of power, core
> temp?
> # GRUB_CMDLINE_LINUX="acpi_generic_hotkey"
> # above line doesn't solve screen brightness problem
> # GRUB_CMDLINE_LINUX="acpi=strict"
> # above line does not solve screen brightness problem
> # GRUB_CMDLINE_LINUX="acpi_osi=Linux"
> # above line does not solve scr...

Read more...

Ethan Shalev (shalev-ethan) wrote :

I just upgraded to Ubunto 13.04 with kernel 3.8.0-19, and this problem seems to have returned.
Modifiying the line in Grub to GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=" , as suggested in comment #36 does not help. Instead, the OS boots into an unlit screen.

Oweoqi / Ethan Shalev, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.